﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;

namespace ConditionalClusterMarkerStyleSample.Extension
{
    public class SortedValueMarkerStyle : ValueMarkerStyle
    {
        public SortedValueMarkerStyle(string columnName)
            : base(columnName)
        {

        }
        public override Collection<Marker> GetMarkers(IEnumerable<Feature> features)
        {
            var tempFeatures = features.OrderByDescending(p => int.Parse(p.ColumnValues["Order"]));
            return base.GetMarkers(tempFeatures);
        }

       
    }
}
